kr.co.hanwha.hifive.adapter

## Class MainDashboardListAdapter

- java.lang.Object
- - android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>
  - - kr.co.hanwha.hifive.adapter.MainDashboardListAdapter

- All Implemented Interfaces:
    MainDashboardListContract.Model, MainDashboardListContract.View

      public class MainDashboardListAdapter
      extends android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>
      implements MainDashboardListContract.Model, MainDashboardListContract.View

  Created by sanghoonkwon on 2018. 3. 15..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `COUNT_TOP_MARGIN`
    `private int` | `mCellWidth`
    `private android.content.Context` | `mContext`
    `private java.util.ArrayList<DabProjectData>` | `mListData`
    `private MainDashboardListContract.OnMainDashboardListListener` | `mOnMainDashboardListListener`
    `private int` | `mTopMarginHeight`
    `private int` | `TYPE_PROJECT`
    `private int` | `TYPE_TOP_MARGIN`
    `private int` | `ZERO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainDashboardListAdapter(android.content.Context context, MainDashboardListContract.OnMainDashboardListListener onMainDashboardListListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItems(java.util.ArrayList<DabProjectData> list)` Model
    `boolean` | `getFullSpan(int position)` Adapter
    `int` | `getItemCount()`
    `int` | `getItemViewType(int position)`
    `void` | `notifyDataAll()` View
    `void` | `notifyDataRangeChanged(int positionStart, int itemCount)`
    `void` | `onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder, int position)`
    `android.support.v7.widget.RecyclerView.ViewHolder` | `onCreateViewHolder(android.view.ViewGroup parent, int viewType)`

    - ### Methods inherited from class android.support.v7.widget.RecyclerView.Adapter

      `bindViewHolder, createViewHolder, getItemId, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, unregisterAdapterDataObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mContext

          private android.content.Context mContext

    - #### TYPE_PROJECT

          private final int TYPE_PROJECT

      See Also:
        Constant Field Values

    - #### TYPE_TOP_MARGIN

          private final int TYPE_TOP_MARGIN

      See Also:
        Constant Field Values

    - #### COUNT_TOP_MARGIN

          private final int COUNT_TOP_MARGIN

      See Also:
        Constant Field Values

    - #### ZERO

          private final int ZERO

      See Also:
        Constant Field Values

    - #### mCellWidth

          private int mCellWidth

    - #### mTopMarginHeight

          private int mTopMarginHeight

    - #### mOnMainDashboardListListener

          private MainDashboardListContract.OnMainDashboardListListener mOnMainDashboardListListener

    - #### mListData

          private java.util.ArrayList<DabProjectData> mListData

  - ### Constructor Detail

    - #### MainDashboardListAdapter

          public MainDashboardListAdapter(@NonNull
                                          android.content.Context context,
                                          @NonNull
                                          MainDashboardListContract.OnMainDashboardListListener onMainDashboardListListener)

  - ### Method Detail

    - #### notifyDataAll

          public void notifyDataAll()

      View
      Specified by:
        `notifyDataAll` in interface `MainDashboardListContract.View`

    - #### notifyDataRangeChanged

          public void notifyDataRangeChanged(int positionStart,
                                             int itemCount)

      Specified by:
        `notifyDataRangeChanged` in interface `MainDashboardListContract.View`

    - #### addItems

          public void addItems(java.util.ArrayList<DabProjectData> list)

      Model
      Specified by:
        `addItems` in interface `MainDashboardListContract.Model`

    - #### getFullSpan

          public boolean getFullSpan(int position)

      Adapter

    - #### getItemViewType

          public int getItemViewType(int position)

      Overrides:
        `getItemViewType` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

    - #### onCreateViewHolder

          public android.support.v7.widget.RecyclerView.ViewHolder onCreateViewHolder(android.view.ViewGroup parent,
                                                                                      int viewType)

      Specified by:
        `onCreateViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

    - #### onBindViewHolder

          public void onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder,
                                       int position)

      Specified by:
        `onBindViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

    - #### getItemCount

          public int getItemCount()

      Specified by:
        `getItemCount` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`